#include <Ethernet.h>
#include <SPI.h>

byte mac[] = { 
  0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
byte ip[] = { 
  10, 0, 0, 177 }; // az eszközünk IP-címe
byte server[] = { 
  64, 233, 187, 99 }; // Google

EthernetClient client; // létrehozzuk a klienst

void setup()
{
  Ethernet.begin(mac, ip);
  Serial.begin(9600);

  delay(1000);

  Serial.println("connecting...");
  // 80-as port a HTTP  
  if (client.connect(server, 80)) {
    Serial.println("connected");
    // ha sikerül csatlakozni, keresés Arduinora a google-n
    client.println("GET /search?q=arduino HTTP/1.0");    
    client.println();
  } 
  else {
    Serial.println("connection failed");
  }
}

void loop()
{
  // ha van elérhető adat a szervertől, nyomtassuk ki a soros terminálra
  if (client.available()) {
    char c = client.read();
    Serial.print(c);
  }

  // ha nincs több adat, szakítsuk meg a kapcsolatot
  if (!client.connected()) {
    Serial.println();
    Serial.println("disconnecting.");
    client.stop();
    for(;;);
  }
}


